commit:     3b25712c4d546dab43daa980ac1a90f5903da52c
Author:     Hanno Böck <hanno <AT> gentoo <DOT> org>
AuthorDate: Thu Apr  9 07:38:41 2020 +0000
Commit:     Hanno Böck <hanno <AT> gentoo <DOT> org>
CommitDate: Thu Apr  9 07:38:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b25712c

dev-python/falcon: Version bump

Bump EAPI, add Python 3.7/3.8.
Disable tests, they were broken before.

Closes: https://bugs.gentoo.org/534740
Signed-off-by: Hanno Böck <hanno <AT> gentoo.org>
Package-Manager: Portage-2.3.97, Repoman-2.3.22

 dev-python/falcon/Manifest            |  1 +
 dev-python/falcon/falcon-2.0.0.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-python/falcon/Manifest b/dev-python/falcon/Manifest
index e9ebb8c929d..710a335ff4e 100644
--- a/dev-python/falcon/Manifest
+++ b/dev-python/falcon/Manifest
@@ -1 +1,2 @@
 DIST falcon-1.3.0.tar.gz 507250 BLAKE2B 
3ba3a989f2e9eb281f519e36a24772fe329fee849097028f3183b0e0c7908b7e06dbf0a70ba28cf7570dccbe88fa87703c47d985ea3cf761ea7d6ec3d41ac04b
 SHA512 
a92d0b641152f653f47c9cb9b2e368d643aae14dcabe7028450d190bd08b883d37116d23d3a1ae4e092207f15926f66b12f57e38dd2edd347f6f8df48baa65ce
+DIST falcon-2.0.0.tar.gz 1075333 BLAKE2B 
338e0b2474d743171fb0bc9dc3a05da428e6d46fc25e7cf1e978f799ed70e76bf265f32ba2cdf16d6eec8ea03b7b6111f70aa5b8f59141b7029d8ba9b03cd0d1
 SHA512 
d5365f91eb312cd058773d0a3809b5d8631acc188b9ee884e7c7db35664138608998f397d3fd831c568cafaf261cca2734b9dc7fb60590062e316ad1dbc74614

diff --git a/dev-python/falcon/falcon-2.0.0.ebuild 
b/dev-python/falcon/falcon-2.0.0.ebuild
new file mode 100644
index 00000000000..e5c26c42d59
--- /dev/null
+++ b/dev-python/falcon/falcon-2.0.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A supersonic micro-framework for building cloud APIs"
+HOMEPAGE="http://falconframework.org/ https://pypi.org/project/falcon/";
+SRC_URI="https://github.com/racker/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+cython"
+RESTRICT="test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]
+       dev-python/mimeparse[${PYTHON_USEDEP}]
+       cython? ( dev-python/cython[${PYTHON_USEDEP}] )"
+
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+src_prepare() {
+       if ! use cython; then
+               sed -i -e 's/if with_cython:/if False:/' setup.py \
+                       || die 'sed failed.'
+       fi
+
+       eapply_user
+}

Reply via email to